import 'package:flutter/material.dart';
class DismssibleBubble extends StatelessWidget {
  ///if message is from me
  final bool isMe;
  ///widget, chat bubble
  final Widget child;
  ///call back function that will be fired when the user swipe left
  final DismissDirectionCallback? onSwipe;

  const DismssibleBubble(
      {super.key,
      required this.isMe,
      required this.child,
      this.onSwipe});

  @override
  Widget build(BuildContext context) {
    return Dismissible(
      direction:isMe ? DismissDirection.endToStart : DismissDirection.startToEnd,
      confirmDismiss: (DismissDirection direction) async {
       if(onSwipe!= null){
        onSwipe!.call(direction);
       }
       return false;
      },
      key: UniqueKey(),
      background: Align(
        alignment: isMe ? Alignment.centerRight : Alignment.centerLeft,
        child: Wrap(
          children: [
            if (!isMe) const SizedBox(width: 20),
            FittedBox(
                child: Icon(
              Icons.reply,
              color: Colors.white.withOpacity(0.87),
            )),
            if (isMe) const SizedBox(width: 20),
          ],
        ),
      ),
      child: child,
    );
  }
}
